GNU bug report logs - #58516
28.1; add option/key to rerun current diff without whitespace changes

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: gert <gertopc@HIDDEN>; Keywords: patch; dated Fri, 14 Oct 2022 14:55:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) patch. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 58516 <at> debbugs.gnu.org:


Received: (at 58516) by debbugs.gnu.org; 17 Oct 2022 13:01:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 17 09:01:38 2022
Received: from localhost ([127.0.0.1]:47782 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1okPkQ-0007wo-3j
	for submit <at> debbugs.gnu.org; Mon, 17 Oct 2022 09:01:38 -0400
Received: from mail-wm1-f43.google.com ([209.85.128.43]:40520)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1okPkO-0007wQ-7u
 for 58516 <at> debbugs.gnu.org; Mon, 17 Oct 2022 09:01:36 -0400
Received: by mail-wm1-f43.google.com with SMTP id
 v130-20020a1cac88000000b003bcde03bd44so12639789wme.5
 for <58516 <at> debbugs.gnu.org>; Mon, 17 Oct 2022 06:01:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=jLKPlwkt7lbYJBDJXmF6NSeZorudIlWIQ7oXCS0mw6A=;
 b=iwMSCblx3858Ps5vOkDC0HMjJdwmqkJbbHGS4pd9uTgxZh+Dbd4wNrwnYFuzAWe/eK
 qYU++EZxvJTQ4ZW8hqkJbgvVCjXipGh1YHQ0qXO7VjZo9gWBVfHb0tt+l8A61z6BCEUB
 Va4lKxDtblNmAmq7fkgcrJlxmmWxfYV2KMkZCfQdKO82Chxy1WGpTsU5yAhML0hKSD+f
 5RyoJ9XQxxdTdAh8QBUWe5jJF/n7QFdNKBuL6s79xKC2SjOHIvCbQABFZ3dXvKZ3NSef
 3jUDDzxXIcOUI8M8S/M2VnzjdW1Yw0ov4Rph5DmWkTXhtQPIFbP5M3sPiCtjJNRynzzF
 GPaQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=jLKPlwkt7lbYJBDJXmF6NSeZorudIlWIQ7oXCS0mw6A=;
 b=4c9ZijADJyG15c6Mo+fhTRn7R6PKp8OjK00Ipbx+VtjrRAv1gzw8CI0TELX+XS1cag
 PDIQeod18RxtCI96FU5JZhvlUuBlfHYt5EYSiwYJxiL1vAyrsizdgB7XnTMnLYWguhQy
 QNPs7znybpycJ7TU9oVsbGTcJOLK8eO+pE4UQb/3d1IP90OfdRjIKi9nI561i6jvsDDv
 MKnijbocCCv7IIIm2rZ4rLG3GrYV84dDZZV5be6GVhAFE42cMmKJ3EKEdyM5AWWQkX1J
 duN6v2K/EY5lamV95XqUCY3Y6sjxXM8nfI6Gp6MVrZDlB75XthrGP1dXL8x5d3T1BVSP
 BHTQ==
X-Gm-Message-State: ACrzQf2PujbGjZWgDumLRABMrWjAoFEkZtV7EVPBWB51x6VfsBQLRquT
 DtgqYiw09YemIxnNqdEh0h4=
X-Google-Smtp-Source: AMsMyM7Tpx5wO2LWVqq2vBrGUtiOw9rJNJkrIFGcMOslMyz2InbhaRRZAh0Tekr6IdptXFK2CpAxyA==
X-Received: by 2002:a05:600c:350f:b0:3b4:c5f2:4295 with SMTP id
 h15-20020a05600c350f00b003b4c5f24295mr7507925wmq.200.1666011690417; 
 Mon, 17 Oct 2022 06:01:30 -0700 (PDT)
Received: from rltb ([82.66.8.55]) by smtp.gmail.com with ESMTPSA id
 v9-20020a05600c444900b003c6f8d30e40sm2676841wmn.31.2022.10.17.06.01.29
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 17 Oct 2022 06:01:29 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#58516: 28.1; add option/key to rerun  current diff without
 whitespace changes
In-Reply-To: <87mt9ud3zc.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 17 Oct 2022 14:33:27 +0200")
References: <SINUhcSfiSS7hwBCbw88ire4WCbRMMXMuPmqcbpqh5jRnjMu3N1ue0p3w2T0WRreCHPTPcKpWeC-_D2lj4dULEXm_r-_jTw1edw_mB2y0Es=@proton.me>
 <87r0zaxvsu.fsf@HIDDEN> <m1zgdy9wm9.fsf@HIDDEN>
 <87edv6y6rl.fsf@HIDDEN> <87mt9ud3zc.fsf@HIDDEN>
Date: Mon, 17 Oct 2022 15:01:28 +0200
Message-ID: <87a65uy57b.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58516
Cc: 58516 <at> debbugs.gnu.org, gert <gertopc@HIDDEN>,
 Daniel =?utf-8?Q?Mart=C3=ADn?= <mardani29@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Mon, 17 Oct 2022 14:33:27 +0200, Lars Ingebrigtsen <larsi@HIDDEN> said:

    Lars> Robert Pluim <rpluim@HIDDEN> writes:
    >> Comments welcome

    Lars> Looks good to me, but:

    >> +(defun diff-ignore-whitespace-hunk (whole-buffer)
    >> +  "Re-diff the current hunk, ignoring whitespace differences.
    >> +With non-nil prefix arg, re-diff all the hunks."
    >> +  (interactive "P")

    Lars> That should be "&optional whole-buffer".

The interaction between `interactive' and &optional is one of those
things that my brain always seems to page out, so I believe you :-)

Robert
-- 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58516; Package emacs. Full text available.

Message received at 58516 <at> debbugs.gnu.org:


Received: (at 58516) by debbugs.gnu.org; 17 Oct 2022 12:33:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 17 08:33:38 2022
Received: from localhost ([127.0.0.1]:47717 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1okPJK-0007AB-4P
	for submit <at> debbugs.gnu.org; Mon, 17 Oct 2022 08:33:38 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1okPJI-00079y-F8
 for 58516 <at> debbugs.gnu.org; Mon, 17 Oct 2022 08:33:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=rSxZhAxv4M1wkkOAEbxDosMt2P6mgj1JGzlfKX6IKas=; b=ngMbJuD1KHDHr0yCu5UKtVvVLF
 XyG2POuuYezoNRHA8c3ZMSYkSXES9JPCnxXNT9608S/LAaAB3dqtNMm5M4kUS7SjXeCXQ8T1IgHCV
 z4rOMy7CXVo/w8srA+fs1RFO9NQfl4pk2ngfbEYjAaoPAtS5U9U1OrjE4FmcVkCsvqP4=;
Received: from [84.212.220.105] (helo=downe)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1okPJA-0008O6-3K; Mon, 17 Oct 2022 14:33:30 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#58516: 28.1; add option/key to rerun  current diff without
 whitespace changes
In-Reply-To: <87edv6y6rl.fsf@HIDDEN> (Robert Pluim's message of "Mon, 17
 Oct 2022 14:27:42 +0200")
References: <SINUhcSfiSS7hwBCbw88ire4WCbRMMXMuPmqcbpqh5jRnjMu3N1ue0p3w2T0WRreCHPTPcKpWeC-_D2lj4dULEXm_r-_jTw1edw_mB2y0Es=@proton.me>
 <87r0zaxvsu.fsf@HIDDEN> <m1zgdy9wm9.fsf@HIDDEN>
 <87edv6y6rl.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAM1BMVEX+/v7JtbTbQzGV
 Ix/p6urCX1bYOSrYMBzIOy/f2diYqa+XoqhVeIl4h5AfHRxKUVr///8QrwhDAAAAAWJLR0QQlbIN
 LAAAAAd0SU1FB+YKEQwNKsnTNJsAAAGdSURBVEjHtdTbsqsgDAZgMAGFqLz/2+4EQYmFpV7sfzqt
 OPnkWI0ZxU4c4Fhu4FQCw3rnKwD3Bth5OgGLEyyD+uCnBoDFiW9474dABiSfAtwT4A58DtQuSnsE
 eAYauNL2A+BmrwE8AT+pSQP4FmDIaQBiiBQt4lrzAxBRzTpKgtm6IGBAPSSMR0IfdJa1gPgW2ArW
 /wU+D+nzpB+W9XrwsYOyKX9u3Jl1l/BBoFSy+OVIH6SjHCDYE9zyA46jFkx8CaACQ1+B2d4AaIBZ
 n8GmAK6PwCkg4hswoQewyQWOtrHujBQvAmITV59D5UaqF9EE51MCDxrMGqT9AjzgvM4KWA34aLUg
 CNA9hKkFchQrsHVjkgJYxyR1234H2wGoAXj1QPsbYMosqNQrgKkDjPVzBrsCJJO2v5OW9x+v9+zL
 81UPwcuqgmk6iPzO5D3m7a3/0MT/ZnkPbGT5FCQ5zQpw10TtDYL9Hp6DIjcOVaQT0BjEFqQeoPJF
 5VLAfVD3HnKTmiHdhQA6CvPV+ZNpBtAD1E0BSphBbQn8CEMfwT9XOzpyeh/ooAAAACV0RVh0ZGF0
 ZTpjcmVhdGUAMjAyMi0xMC0xN1QxMjoxMzo0MiswMDowMPnLiC8AAAAldEVYdGRhdGU6bW9kaWZ5
 ADIwMjItMTAtMTdUMTI6MTM6NDIrMDA6MDCIljCTAAAAAElFTkSuQmCC
X-Now-Playing: A Certain Ratio's _EP:ACR_: "Feel No Fear"
Date: Mon, 17 Oct 2022 14:33:27 +0200
Message-ID: <87mt9ud3zc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Robert Pluim <rpluim@HIDDEN> writes: > Comments welcome
 Looks good to me, but: 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58516
Cc: 58516 <at> debbugs.gnu.org, gert <gertopc@HIDDEN>,
 Daniel =?utf-8?Q?Mart=C3=ADn?= <mardani29@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Robert Pluim <rpluim@HIDDEN> writes:

> Comments welcome

Looks good to me, but:

> +(defun diff-ignore-whitespace-hunk (whole-buffer)
> +  "Re-diff the current hunk, ignoring whitespace differences.
> +With non-nil prefix arg, re-diff all the hunks."
> +  (interactive "P")

That should be "&optional whole-buffer".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58516; Package emacs. Full text available.

Message received at 58516 <at> debbugs.gnu.org:


Received: (at 58516) by debbugs.gnu.org; 17 Oct 2022 12:28:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 17 08:28:04 2022
Received: from localhost ([127.0.0.1]:47709 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1okPDv-00070K-O3
	for submit <at> debbugs.gnu.org; Mon, 17 Oct 2022 08:28:04 -0400
Received: from mail-wm1-f50.google.com ([209.85.128.50]:54026)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1okPDi-0006zb-Sa
 for 58516 <at> debbugs.gnu.org; Mon, 17 Oct 2022 08:28:02 -0400
Received: by mail-wm1-f50.google.com with SMTP id e18so8535959wmq.3
 for <58516 <at> debbugs.gnu.org>; Mon, 17 Oct 2022 05:27:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=oTAr3JIpdyrV6oJXtCxeA1geoZNzm7CIHI55mVf5JWI=;
 b=X27LurOn3ZQJ174vxqH8g1pijW+JqoxfYHDw0c6ypJ8AFa9w4kL0jJzBHywYgiuNNi
 i1eUAN71yerdeeYmH0LT/KSisEr7hi+vBvFlDSbsihtYeK/C6XliiVzxEBT//A2V+Vra
 JwsHiQ80Fclw6j3CjVSjVjhdA4pYH1XDd3VtqIXU5qyvejsdgGw6/on6B4N3HvYgshFa
 SAxNd3MUer0+HJ+2qlVXdjaLsRJ7UMXwJmgfoHIbmTt3kzm0xpre2VzIia16jbc3Hl7w
 3TCS+hv3xSONyL4f+C/P1s7KH0Bzt1j3trMRmDvyzLKi8z6rPy7VJIP1UNAOD9SDIAbi
 MBSQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=oTAr3JIpdyrV6oJXtCxeA1geoZNzm7CIHI55mVf5JWI=;
 b=wQFr1YO2TaK/cqeDHpxsK1ijHc28IdG6GXTWClQkUsnhyqDJC7r4CJytgQxxvRj2ns
 NCzZ7C1jtf7ia6s31zmnGjQk/IUnRJNcSc2kdtiyWJp2kVaBZtByxzkNhoXiIv8g0NWo
 /0lBSfQu3qXFR2CFlbHToT2TIeSZ1H/gijZKl1iTgxfduA5TKZP8Au4n4Vv9McNfOLbH
 k+GWma9HbWTMhWuD+jTELl9ppLpZJXtUC4FNOWBWpA0GYOfOb5HCmaF5jEe68kWKRSXq
 F1W66SML3k9ZCpNLaFm/zdjZuDskl3YRfyjiv48Y4WtGQx5T+GlsJ7RLlxJlRyyx0Z0V
 Fj6Q==
X-Gm-Message-State: ACrzQf3b2hjYW6aGMxBJJe1Fn1BmmIBZKSkBa3InK1KKcUC8mdzZE5RO
 MAM5bMAsv5oJKMYWtjJ/RCM=
X-Google-Smtp-Source: AMsMyM4a40Lw4VLBZHvoB5tRyrOtswuV+FahEUIKlfv9W9JhjKwtNvZzA55HWvlnlEfrJhQUTRE8Xw==
X-Received: by 2002:a1c:740c:0:b0:3c6:eb24:c06a with SMTP id
 p12-20020a1c740c000000b003c6eb24c06amr7492006wmc.194.1666009664796; 
 Mon, 17 Oct 2022 05:27:44 -0700 (PDT)
Received: from rltb ([82.66.8.55]) by smtp.gmail.com with ESMTPSA id
 n14-20020a05600c4f8e00b003b47b80cec3sm15629774wmq.42.2022.10.17.05.27.43
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 17 Oct 2022 05:27:43 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Daniel =?utf-8?Q?Mart=C3=ADn?= <mardani29@HIDDEN>
Subject: Re: bug#58516: 28.1; add option/key to rerun  current diff without
 whitespace changes
In-Reply-To: <m1zgdy9wm9.fsf@HIDDEN> ("Daniel =?utf-8?Q?Mart=C3=ADn?= via
 \"Bug reports for
 GNU Emacs, the Swiss army knife of text editors\""'s message of "Fri,
 14 Oct 2022 18:51:42 +0200")
References: <SINUhcSfiSS7hwBCbw88ire4WCbRMMXMuPmqcbpqh5jRnjMu3N1ue0p3w2T0WRreCHPTPcKpWeC-_D2lj4dULEXm_r-_jTw1edw_mB2y0Es=@proton.me>
 <87r0zaxvsu.fsf@HIDDEN> <m1zgdy9wm9.fsf@HIDDEN>
Date: Mon, 17 Oct 2022 14:27:42 +0200
Message-ID: <87edv6y6rl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58516
Cc: 58516 <at> debbugs.gnu.org, gert <gertopc@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

>>>>> On Fri, 14 Oct 2022 18:51:42 +0200, Daniel Mart=C3=ADn via "Bug repor=
ts for GNU Emacs, the Swiss army knife of text editors" <bug-gnu-emacs@gnu.=
org> said:

    Daniel> Robert Pluim <rpluim@HIDDEN> writes:
    >>=20
    >> Something like this, perhaps. I stuck it on a separate key, but we
    >> could put it on "C-u C-c C-w" instead.
    >>=20

    Daniel> Looks good.  I agree that using a prefix argument is a better i=
dea to
    Daniel> save some key bindings.

Hey, there are *loads* of bindings available. "C-c C-=EF=BD=97" anyone? =F0=
=9F=98=BA

Comments welcome

Robert
--=20

--=-=-=
Content-Type: text/x-diff
Content-Disposition: attachment;
 filename=0001-Teach-diff-ignore-whitespace-hunk-how-to-regenerate-.patch

From 8192b0ac043ce2f79189ec5473ad390fe0371dd8 Mon Sep 17 00:00:00 2001
From: Robert Pluim <rpluim@HIDDEN>
Date: Mon, 17 Oct 2022 14:18:23 +0200
Subject: [PATCH] Teach 'diff-ignore-whitespace-hunk' how to regenerate all
 hunks
To: emacs-devel@HIDDEN

This implements the request from Bug#58516.

* lisp/vc/diff-mode.el (diff-ignore-whitespace-hunk): Regenerate all
the hunks when called with a prefix arg.
(diff--iterate-hunks): Add optional arg for start of iteration.
(diff--ignore-whitespace-all-hunks): Iterate over all hunks, regenerate
ignoring whitespace.

* doc/emacs/files.texi (Diff Mode): Describe change in behaviour.
* etc/NEWS: Announce the change.
---
 doc/emacs/files.texi |  3 ++-
 etc/NEWS             |  6 ++++++
 lisp/vc/diff-mode.el | 21 ++++++++++++++++-----
 3 files changed, 24 insertions(+), 6 deletions(-)

diff --git a/doc/emacs/files.texi b/doc/emacs/files.texi
index 1717c5c25b..7f8a30e9d9 100644
--- a/doc/emacs/files.texi
+++ b/doc/emacs/files.texi
@@ -1728,7 +1728,8 @@ Diff Mode
 
 @item C-c C-w
 @findex diff-ignore-whitespace-hunk
-Re-generate the current hunk, disregarding changes in whitespace
+Re-generate the current hunk, disregarding changes in whitespace.
+With a non-@code{nil} prefix arg, re-generate all the hunks
 (@code{diff-ignore-whitespace-hunk}).
 
 @item C-x 4 A
diff --git a/etc/NEWS b/etc/NEWS
index ca857056fd..8d8f1e3b7b 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -1507,6 +1507,12 @@ Sets the value of the buffer-local variable 'whitespace-style' in
 'diff-mode' buffers.  By default, this variable is '(face trailing)',
 which preserves behavior from previous Emacs versions.
 
++++
+*** 'diff-ignore-whitespace-hunk' can now be applied to all hunks.
+When called with a non-nil prefix argument
+'diff-ignore-whitespace-hunk' now iterates over all the hunks in the
+current diff, regenerating them without whitespace changes.
+
 +++
 *** New user option 'diff-add-log-use-relative-names'.
 If non-nil insert file names in ChangeLog skeletons relative to the
diff --git a/lisp/vc/diff-mode.el b/lisp/vc/diff-mode.el
index a9591c9d82..5a8d25800c 100644
--- a/lisp/vc/diff-mode.el
+++ b/lisp/vc/diff-mode.el
@@ -2102,10 +2102,13 @@ diff-current-defun
               (goto-char (+ (car pos) (cdr src)))
               (add-log-current-defun)))))))
 
-(defun diff-ignore-whitespace-hunk ()
-  "Re-diff the current hunk, ignoring whitespace differences."
-  (interactive)
-  (diff-refresh-hunk t))
+(defun diff-ignore-whitespace-hunk (whole-buffer)
+  "Re-diff the current hunk, ignoring whitespace differences.
+With non-nil prefix arg, re-diff all the hunks."
+  (interactive "P")
+  (if whole-buffer
+      (diff--ignore-whitespace-all-hunks)
+    (diff-refresh-hunk t)))
 
 (defun diff-refresh-hunk (&optional ignore-whitespace)
   "Re-diff the current hunk."
@@ -2275,10 +2278,12 @@ diff--refine-hunk
                                   (match-end 0) end
                                   nil #'diff-refine-preproc props-r props-a)))))))
 
-(defun diff--iterate-hunks (max fun)
+(defun diff--iterate-hunks (max fun &optional min)
   "Iterate over all hunks between point and MAX.
 Call FUN with two args (BEG and END) for each hunk."
   (save-excursion
+      (when min
+      (goto-char min))
     (catch 'malformed
       (let* ((beg (or (ignore-errors (diff-beginning-of-hunk))
                       (ignore-errors (diff-hunk-next) (point))
@@ -2298,6 +2303,12 @@ diff--iterate-hunks
                         (or (ignore-errors (diff-hunk-next) (point))
                             max)))))))))
 
+(defun diff--ignore-whitespace-all-hunks ()
+  "Re-diff all the hunks, ignoring whitespace-differences."
+  (diff--iterate-hunks (point-max) (lambda (_ _)
+                                     (diff-refresh-hunk t))
+                       (point-min)))
+
 (defun diff--font-lock-refined (max)
   "Apply hunk refinement from font-lock."
   (when (eq diff-refine 'font-lock)
-- 
2.37.1.116.g9dd64cb4d3


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58516; Package emacs. Full text available.

Message received at 58516 <at> debbugs.gnu.org:


Received: (at 58516) by debbugs.gnu.org; 17 Oct 2022 08:49:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 17 04:49:36 2022
Received: from localhost ([127.0.0.1]:47270 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1okLoV-0004q3-NL
	for submit <at> debbugs.gnu.org; Mon, 17 Oct 2022 04:49:36 -0400
Received: from mail-wr1-f48.google.com ([209.85.221.48]:35516)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1okLoU-0004pk-F3
 for 58516 <at> debbugs.gnu.org; Mon, 17 Oct 2022 04:49:34 -0400
Received: by mail-wr1-f48.google.com with SMTP id u10so17406722wrq.2
 for <58516 <at> debbugs.gnu.org>; Mon, 17 Oct 2022 01:49:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:from:to:cc:subject:date:message-id
 :reply-to; bh=LU+hui/sMMGUlP9cp2e4JK1hW+clEABD20iGgBdu1fc=;
 b=YkaigBpJN7hXqGPceDBcgyVx2O4QE6iJ4dspELZCUWHSSPYCh8Ukfy5MxtbKx1O71T
 CIzUWSjZmyjCn6162eSJw6sNhbsKOETkfCrojLtfZBuXZciHr0Jte5PxX6dXSP0M8YcG
 cQL6ihHh+y/Le0WMQfCC458P8itKdY3OC5VjRvPNik9RBPV0fTWcFauwRsu257eeSOt8
 XJoTucJxY80tBoBynu41g7srCoprGXDoCTDhVojEnYyKFkMJqI8nJy79c9OptRMQYwNK
 t0stXs2QrbbvmC+5qFF4ca1XOBztX5nl2tBtWdvsdA9t1HqhiskZjHlxItJiVgaRcYYX
 /cdQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=LU+hui/sMMGUlP9cp2e4JK1hW+clEABD20iGgBdu1fc=;
 b=N45w7rBJeTLS0zF9fnn9rSnD1VP0JfgC+yOb/j2WzC1mA49VtZsJ4dOck/P74buE0Y
 IP9Wy/bbRnTtniaKb4hL1lxOpBszV/CngVo/Q3zMXcSLhtWGTBuukBg9IZ1KpSC12Pyl
 q0Q+rt9bbazOP+im8RZh2wJNctC48QdlALLL2ysjAXLtC61E2nadVCT8bLSSM3aEU4QN
 T4StM5Fcjk6YKuxXXakH4Ctzt6W5SnDPpErVn2fMst0euqVaFpNI6wyfToRsEW9Dm3K0
 XkK9pj2GAKP038qbVXTOK68m+2gSsNoEV4pl+tj8w5skJTHiwpPyCc8WgKkFNRkiBPsm
 DTOw==
X-Gm-Message-State: ACrzQf1YqnNIJ3CyowevqCKtqb80Ut8Zovzc/2HKS6IXiEExhU401Kf0
 RnJ+3gDERHw2zK1htsknwpw=
X-Google-Smtp-Source: AMsMyM6PpKY8fgq5E4fjBItWf99KwBbgVlfhI3jn6lHNjIwAle7XYxv4QTk7L1ICz+nJcfq9ZwP4ww==
X-Received: by 2002:a5d:6dc3:0:b0:22a:bcc3:21c6 with SMTP id
 d3-20020a5d6dc3000000b0022abcc321c6mr5766517wrz.450.1665996568209; 
 Mon, 17 Oct 2022 01:49:28 -0700 (PDT)
Received: from rltb ([82.66.8.55]) by smtp.gmail.com with ESMTPSA id
 p14-20020a05600c468e00b003c6f3e5ba42sm4544257wmo.46.2022.10.17.01.49.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 17 Oct 2022 01:49:27 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#58516: 28.1; add option/key to rerun  current diff without
 whitespace changes
In-Reply-To: <86k051os8g.fsf@HIDDEN> (Juri Linkov's message of "Sat, 
 15 Oct 2022 22:09:35 +0300")
References: <SINUhcSfiSS7hwBCbw88ire4WCbRMMXMuPmqcbpqh5jRnjMu3N1ue0p3w2T0WRreCHPTPcKpWeC-_D2lj4dULEXm_r-_jTw1edw_mB2y0Es=@proton.me>
 <87r0zaxvsu.fsf@HIDDEN> <86k051os8g.fsf@HIDDEN>
Date: Mon, 17 Oct 2022 10:49:26 +0200
Message-ID: <87ilkiygvd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58516
Cc: 58516 <at> debbugs.gnu.org, gert <gertopc@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Sat, 15 Oct 2022 22:09:35 +0300, Juri Linkov <juri@HIDDEN> sai=
d:

    >> +(defun diff-ignore-whitespace-all-hunks ()
    >> +  "Re-diff all the hunks, ignoring whitespace-differences."
    >> +  (interactive)
    >> +  (diff--iterate-hunks (point-max) (lambda (_ _)
    >> +                                     (diff-refresh-hunk t))
    >> +                       (point-min)))

    Juri> A question about performance: would this run the diff command
    Juri> for every hunk?

Yes. I don=CA=BCt see an easy way to avoid that: we may not have actual
source files available, so we can=CA=BCt just run the diff command with
different switches over the whole file.

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58516; Package emacs. Full text available.

Message received at 58516 <at> debbugs.gnu.org:


Received: (at 58516) by debbugs.gnu.org; 15 Oct 2022 19:21:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 15 15:21:09 2022
Received: from localhost ([127.0.0.1]:42664 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ojmia-0002FO-Vs
	for submit <at> debbugs.gnu.org; Sat, 15 Oct 2022 15:21:09 -0400
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:44529)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1ojmiY-0002EF-QB
 for 58516 <at> debbugs.gnu.org; Sat, 15 Oct 2022 15:21:07 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id EA3881C0003;
 Sat, 15 Oct 2022 19:20:59 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#58516: 28.1; add option/key to rerun  current diff without
 whitespace changes
In-Reply-To: <87r0zaxvsu.fsf@HIDDEN> (Robert Pluim's message of "Fri, 14
 Oct 2022 17:35:29 +0200")
Organization: LINKOV.NET
References: <SINUhcSfiSS7hwBCbw88ire4WCbRMMXMuPmqcbpqh5jRnjMu3N1ue0p3w2T0WRreCHPTPcKpWeC-_D2lj4dULEXm_r-_jTw1edw_mB2y0Es=@proton.me>
 <87r0zaxvsu.fsf@HIDDEN>
Date: Sat, 15 Oct 2022 22:09:35 +0300
Message-ID: <86k051os8g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 58516
Cc: 58516 <at> debbugs.gnu.org, gert <gertopc@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> +(defun diff-ignore-whitespace-all-hunks ()
> +  "Re-diff all the hunks, ignoring whitespace-differences."
> +  (interactive)
> +  (diff--iterate-hunks (point-max) (lambda (_ _)
> +                                     (diff-refresh-hunk t))
> +                       (point-min)))

A question about performance: would this run the diff command
for every hunk?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58516; Package emacs. Full text available.

Message received at 58516 <at> debbugs.gnu.org:


Received: (at 58516) by debbugs.gnu.org; 15 Oct 2022 10:19:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 15 06:19:45 2022
Received: from localhost ([127.0.0.1]:39544 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ojeGf-0002pP-OF
	for submit <at> debbugs.gnu.org; Sat, 15 Oct 2022 06:19:45 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56242)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ojeGb-0002p9-Rn
 for 58516 <at> debbugs.gnu.org; Sat, 15 Oct 2022 06:19:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ZK8nyLNLtBHixHJ+uggto5TuFFSxEP1xT544+zZ58PE=; b=jSqZ5/hcOisdfa9a2ZFXZrpR35
 lcMmIRIdOmabTcjLOUBmKoND6Z/Y+k0OMOwuPQgNTStWIXX1FO/hT6EipdOCUHn7q/DpnyBa6TYu+
 /EUbs/hm6BKs1GphSuoiux8716oj9zXE2bfA3hPyeU4baGqMPx/5OUuOGwHPR2cf/fgo=;
Received: from [84.212.220.105] (helo=downe)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ojeGT-00072G-1m; Sat, 15 Oct 2022 12:19:35 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#58516: 28.1; add option/key to rerun  current diff without
 whitespace changes
In-Reply-To: <87r0zaxvsu.fsf@HIDDEN> (Robert Pluim's message of "Fri, 14
 Oct 2022 17:35:29 +0200")
References: <SINUhcSfiSS7hwBCbw88ire4WCbRMMXMuPmqcbpqh5jRnjMu3N1ue0p3w2T0WRreCHPTPcKpWeC-_D2lj4dULEXm_r-_jTw1edw_mB2y0Es=@proton.me>
 <87r0zaxvsu.fsf@HIDDEN>
X-Now-Playing: Bill Callahan & Bonnie Prince Billy's _Blind Date Party (2)_:
 "The Night Of Santiago"
Date: Sat, 15 Oct 2022 12:19:32 +0200
Message-ID: <87sfjp4cej.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Robert Pluim <rpluim@HIDDEN> writes: > Something like this,
 perhaps. I stuck it on a separate key, but we > could put it on "C-u C-c
 C-w" instead. Yes, looks useful, but I'd rather have it on a prefix instead.
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58516
Cc: 58516 <at> debbugs.gnu.org, gert <gertopc@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Robert Pluim <rpluim@HIDDEN> writes:

> Something like this, perhaps. I stuck it on a separate key, but we
> could put it on "C-u C-c C-w" instead.

Yes, looks useful, but I'd rather have it on a prefix instead.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58516; Package emacs. Full text available.

Message received at 58516 <at> debbugs.gnu.org:


Received: (at 58516) by debbugs.gnu.org; 14 Oct 2022 16:51:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 14 12:51:59 2022
Received: from localhost ([127.0.0.1]:38475 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ojNuh-0000ww-Ic
	for submit <at> debbugs.gnu.org; Fri, 14 Oct 2022 12:51:59 -0400
Received: from sonic309-14.consmr.mail.bf2.yahoo.com ([74.6.129.124]:43803)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mardani29@HIDDEN>) id 1ojNud-0000wa-PJ
 for 58516 <at> debbugs.gnu.org; Fri, 14 Oct 2022 12:51:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.es; s=s2048;
 t=1665766309; bh=DrANJSj5RtpS6n7Ck1MROdNhKAXUp41Kn+bMZkIxeJQ=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=kxEFZ2POVls4kY3DidAjK/U6vnz6d2/CucXda/d1nMwdOtd7hyHqt6u4ljUZa1L+IVKsrw7jOIMhETELPXIIQcjfpEZGh5kWAdQOar4R8oBlKTzpNPwfi/RU3yCNW43nA2O/vqXPObQk0DxTnah3RUG7K3l6LsbqdtiGCsfLDvGb+uwrYsCFYBOcxLn6O/wOLLqkHBQpdmY9pjx4SavQJrx2wpIuP1BVN151fgNQ6F5Ysxlhq70RAVZBkqweYEZ0xCNQv+AL+CkSQ7F141UbyMqrhii8SZxR0/zTmI5mRQsseO2q3Ddq1hUwT4iERfs/Y2tN+BE74O1afvb3kUIXkQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1665766309; bh=H/OUZ7euqGRWRenGNwW6NNw6tGmCGMADe8waYLg6dzK=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=sHOvGREudPJD9mElBoclg6OZwgtB98/LOzPOcb4io4FNaB6kpp8sdsKH1ZD8kj+b3tA8NZ9W2gxm6D2k+Uw+TrP/+xO3GJEreytHHzyOzZdb+K1MBL2wt2vnRBxx2ABQpYKiJmrX/i4OFZG4yNOM/E+truhgv/7TpYK1lINA58mzYE3mgYPMJ8FQ4kar84xuM7b4E2Q3WtkeMpUV2FqUAvtEyAByibh/e1KkhxmK4pD9BglFG83yM9qVin5qqKNEmuB5N3X+eBVt6KHqEnlDIxHW1NExHVx96M9WSQB+/RCIVObuHnthBSrJCYBNa0kN+V0hexukyB3Az0rc91LD4g==
X-YMail-OSG: p2r2rmYVM1lWfPZmiDIco2J4KFyRhSUUzRkR2x9fZow81C9c561R7xwF_a9BeJm
 WYA0B4aksAoY543LEfUwoovhc8r5xPo.5auKaiD7tisDlC18AfnXMGPyGUZlkf49zSOrON8gIMm7
 pL.N3sHXJLSwCL4TeIcKnTKlsmN7x8zhGoDUiIHftjYOUZ51czAd6p8DQrwtPrFdq.RgVN9fZlQK
 HBoytm9SJbscD3DSKCOwNqXjdUUAEjYvHEMjdSOIbr4vuI9LcbsczKZkchKS3a6joSGVo2Nqm6aX
 O517PO.f.TXmW3AlvsvulXC0tRawzIadKbHIRmNbRptdH5RK1t9PTpIaxMvMiSsb0VVZ04i.bNVJ
 72jcogSMzFhqJbb0LB5V3UkyWGG8.mvTGp8DBPouwLIz6cuhbuYmI4yWyfek7QLXak6Ey2W8lff3
 VbDo2ZH4X5m4MK6sdvzMXMn9IGPc73GdH2PB.zlLh5zb_3J2BhPNwWqAGCVbYJbL1VMpRMWfL9G7
 jPBkU3v7oQc_ZCa9_DfVrwW6oUowDtn90vUTywtAEPyDUifu7l3KJkb5iKCwYKnpgaxbUyjpTLo_
 V7FjHTtDvBko.pvUJ6jhgAywAT8GS1Ti3w5RgNxIUDZ0areFZX2psJgDLEoWaXj2ZfVqZjmulQho
 V5v82RPNefeYxyIkDPWRUx0dj7Qyl3WFIrS2EswkhwNgIMk9HUEp3zWz5p75q1rZoSvyndTsXU3n
 cHqJYg2w2ltk8qpXT4OO2Q_e2C6FeJHHWhfIoPWM54FZb8AALurWjg7OACLtpi6Q3kcY1X_yxDY9
 8ZDyhUEYpQwUO_MEs9BysuyKdmOoMXiN_Bmq6dcJe2_bK.mxM5D1WcnHR1npLBKKXJ3bteX22ArE
 DO800XHMygJHB9sl6k3AJodoFJ.BCfai0Pr8Qr.QdBWXm0wiUB9xwJw95GJ4uVOepUL6R3JdGu3g
 bpZqAi1CwuwciFgmAbGzvS5.hfKdeXSkJ5MF58Qg2y.j9UeAbCDO1YTuGQUZxnzhNAYGWI9tdq1w
 naCWLLQAz6N7J56KlH8BFArohRHuvb5FvqmKwnKXkAT97oCfe790KajzH1.EeVJWaidCs5OSQGHt
 MgKdY2KZmCGpDYsSkOfrgyl1.GSC69aPcGONs.TXHAvdhRguGtJoQ2YPkeKvRgfV2TxPIfv_cueu
 DoJZQ58zAACM0aYPkYtxLkQ.uCsenMYXXyp2fTNI7isQADGEsUUygeFnNDEZnjNQ43jt_W8lAxUI
 ZH7bNYAU2PKrZeg9uLFAr8nmGpxgA8bmZswKR1v2.HsIWCp755o61fCunyYRQht3tu0T8CEfrdeI
 YQuQwRzZNZYZRaGUByeviGhBhjffhR3yXTsofskag2DgO.dwxHds8fWwIKB4yWi4phdGmG0GJeDp
 fK8T6hcQckdDSeOM1Uc3rzmLUsomKoFKLqEojoA81ASfqpgLdcpGa6W1ffGyZ1gtWKZSDGLE7p3U
 MV63ZofgWAT0z7pFLIelnXxXdrp5x66gzU320KKI0y62Oho.LlvQQX6FEO9qq7bAwl0dHBxPD4mb
 BGlOS5614.YBU5fAA3zkmxOEVtsPvMwtdLbmlVBiKg3s2k_CRkD3k0QZ4RR_wFZ5vkWS4VglA0vr
 y.9fAe.fyj0eXcjQ7cuXvHjQd0fv2zsyBIzkErMfZOTP43lwCxdArV0h6FD6bgU7GRVst9.ILljV
 aZfPU29DxVlSd0w2epVHAlMnSqfsqmdxZi8Th.cTNy2JR6HWGRD.FvjNIjZfl8LwMMYsOVB39ywd
 AflyPtzwJQTm4qSpNJpJshLaXDA9YjWpjBU13qRtKJ85wt8un8ycteud9tlFTsgcj_WgvYXuutRc
 5ZLRkf0cqZ8agohjyYVkkmlKiEsX4SQyvqd3cGB6.J8ga9YRhTjH.xS6zy3pH08DlTdbpy2tD1.r
 nTqyuXw22dh1ERNv6H1JgvT_lUBETX4mfpJbdAb5C.t1_JiUtV9JLO3uuTRdTbM2ZS7gdNJSzdHh
 t1knET47WOWrsSB89_zb5Vr_EbgJUlNEAGj1VU2QOG5xhvQr5rqPGXDq6PlWQu8iQEkkb4I1ZP0W
 x6sSZwbVwuVbNGuCcHT8lOD5W0tCNzT_V5MXYbVpMWvFlyIKYmrOelcpmXCvtvJKQaLBErCQdCt4
 m4dUepwuK6ZnJX_IzH4PEhsY1QRJFc.xr443pZmyq2oGQqw.9pdXA9J_hzOnG3KP0h3urfDIlepN
 6LKeEacWTJXRVWOv1KNuFAa41cHf0HwL9NwCa_Ehxfw--
X-Sonic-MF: <mardani29@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.bf2.yahoo.com with HTTP; Fri, 14 Oct 2022 16:51:49 +0000
Received: by hermes--production-ir2-6c65697d7-mnjq6 (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 86c840cc666304907e338bb836f91005; 
 Fri, 14 Oct 2022 16:51:44 +0000 (UTC)
From: =?utf-8?Q?Daniel_Mart=C3=ADn?= <mardani29@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#58516: 28.1; add option/key to rerun  current diff without
 whitespace changes
References: <SINUhcSfiSS7hwBCbw88ire4WCbRMMXMuPmqcbpqh5jRnjMu3N1ue0p3w2T0WRreCHPTPcKpWeC-_D2lj4dULEXm_r-_jTw1edw_mB2y0Es=@proton.me>
 <87r0zaxvsu.fsf@HIDDEN>
Date: Fri, 14 Oct 2022 18:51:42 +0200
In-Reply-To: <87r0zaxvsu.fsf@HIDDEN> (Robert Pluim's message of "Fri, 14
 Oct 2022 17:35:29 +0200")
Message-ID: <m1zgdy9wm9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20740
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 250
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 58516
Cc: 58516 <at> debbugs.gnu.org, gert <gertopc@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Robert Pluim <rpluim@HIDDEN> writes:

>
> Something like this, perhaps. I stuck it on a separate key, but we
> could put it on "C-u C-c C-w" instead.
>

Looks good.  I agree that using a prefix argument is a better idea to
save some key bindings.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58516; Package emacs. Full text available.

Message received at 58516 <at> debbugs.gnu.org:


Received: (at 58516) by debbugs.gnu.org; 14 Oct 2022 15:35:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 14 11:35:39 2022
Received: from localhost ([127.0.0.1]:38370 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ojMip-0007Cv-Cx
	for submit <at> debbugs.gnu.org; Fri, 14 Oct 2022 11:35:39 -0400
Received: from mail-wr1-f41.google.com ([209.85.221.41]:36564)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1ojMin-0007Cj-Hn
 for 58516 <at> debbugs.gnu.org; Fri, 14 Oct 2022 11:35:37 -0400
Received: by mail-wr1-f41.google.com with SMTP id j7so8165325wrr.3
 for <58516 <at> debbugs.gnu.org>; Fri, 14 Oct 2022 08:35:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=izT2Lj6HuFsbcuL2Q0lflHX90jcfDh7XUC22VFMuJXE=;
 b=RxyvuOf89SSe09nSyi0ClbColrUN+pxovTPltMGZk5Ha9maznHrXXWO8CuUpZbZUMA
 FmghQg/UZ1Wusrf3fEZN28v/VBX6ufswB+lakzCi78Ift7EycOldul3SZchjZnar4y6h
 nV6OaZYwrmkGNu1CzPJ9JdUzOP0Src3Q3Iw6dgrh4VHUJzq7SKEU/8nG7gfpMbRgUnYe
 prF+VMYxJWmr/RIqc0MPE+HCLvO/6fLwnmKr+UOwBigCqULWyDCmYm9iR/ytB6cfzjD/
 i1upmvE8vyRtwzoTSZ+KZSbHhBU2ADwkvcXTak3RECGQd7xCAkwDnIxcbtjiUHflxEvr
 ZrWA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=izT2Lj6HuFsbcuL2Q0lflHX90jcfDh7XUC22VFMuJXE=;
 b=DbVhoUYJ0PhqNpLHdROF77QMejGGOWCMn21o1e3Y6uPGtqtUvXgc30uixGwPbakJfa
 Kxgf+4GKldeknfR6JzBKCzQBXxp3M9hCZPfgP2t3XYPRpaePmHl2WMGjiCz+EpByY7oe
 PFEcIIRoKUM7hKfrjHLqn6wi7UJlDd0a25tw8ASMILCjlLIdK/56QCRbPlonEmszVaZj
 z0sgGbt6vnVnFZVwkKxFRoM3UXADN9q2+On+gfYH2t3AmALgWW056FV6LI+QepYsyAkP
 E8a12xkl4M69CFQTtYW7eqKV3Db1AG38fUdJ1uladbRSBMTXOEOn/p/WFIAr7O7WjSHX
 RqGg==
X-Gm-Message-State: ACrzQf3wXp+8publwlnuW0GpTGJTu3C3E41O7fc1/wzj7EO/aQzg/voJ
 iWOquv9bIyv3R2lajWZEhio=
X-Google-Smtp-Source: AMsMyM79AgJDeTRAOquBmn65UrUeaNfEmtx6pkB6OW4t2ylRep5VkpMpgHHlD3hCSGCKhq2HU/U9Dg==
X-Received: by 2002:adf:d1ca:0:b0:231:aedc:7ece with SMTP id
 b10-20020adfd1ca000000b00231aedc7ecemr3992667wrd.72.1665761731362; 
 Fri, 14 Oct 2022 08:35:31 -0700 (PDT)
Received: from rltb ([82.66.8.55]) by smtp.gmail.com with ESMTPSA id
 w12-20020a05600c474c00b003a682354f63sm1965812wmo.11.2022.10.14.08.35.30
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 14 Oct 2022 08:35:30 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: 58516 <at> debbugs.gnu.org
Subject: Re: bug#58516: 28.1; add option/key to rerun  current diff without
 whitespace changes
In-Reply-To: <SINUhcSfiSS7hwBCbw88ire4WCbRMMXMuPmqcbpqh5jRnjMu3N1ue0p3w2T0WRreCHPTPcKpWeC-_D2lj4dULEXm_r-_jTw1edw_mB2y0Es=@proton.me>
 (gert via's message of "Fri, 14 Oct 2022 11:15:05 +0000")
References: <SINUhcSfiSS7hwBCbw88ire4WCbRMMXMuPmqcbpqh5jRnjMu3N1ue0p3w2T0WRreCHPTPcKpWeC-_D2lj4dULEXm_r-_jTw1edw_mB2y0Es=@proton.me>
Date: Fri, 14 Oct 2022 17:35:29 +0200
Message-ID: <87r0zaxvsu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58516
Cc: gert <gertopc@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 14 Oct 2022 11:15:05 +0000, gert via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN> said:

    Gert> Sometimes, for example when you work together with others, there are
    Gert> meaningless whitespace changes in the diff.

    Gert> In order to review these diff easier add a key to rerun the current
    Gert> diff without showing whitespace changes.

    Gert> There is

    Gert> ("\C-c\C-w" . diff-ignore-whitespace-hunk)

    Gert> which is useful, but incovenient to use when there are many hunks in the diff.

    Gert> Add a key which does the same, but for all hunks
    Gert> (e.g. diff-toggle-whitespace-changes), so you can easily switch a diff
    Gert> buffer to one which ignores all whitespace changes.

Something like this, perhaps. I stuck it on a separate key, but we
could put it on "C-u C-c C-w" instead.

diff --git a/lisp/vc/diff-mode.el b/lisp/vc/diff-mode.el
index a9591c9d82..3b8178884a 100644
--- a/lisp/vc/diff-mode.el
+++ b/lisp/vc/diff-mode.el
@@ -214,6 +214,7 @@ diff-mode-map
   ;; `d' because it duplicates the context :-(  --Stef
   "C-c C-d" #'diff-unified->context
   "C-c C-w" #'diff-ignore-whitespace-hunk
+  "C-c C-W" #'diff-ignore-whitespace-all-hunks
   ;; `l' because it "refreshes" the hunk like C-l refreshes the screen
   "C-c C-l" #'diff-refresh-hunk
   "C-c C-b" #'diff-refine-hunk        ;No reason for `b' :-(
@@ -2275,10 +2276,12 @@ diff--refine-hunk
                                   (match-end 0) end
                                   nil #'diff-refine-preproc props-r props-a)))))))
 
-(defun diff--iterate-hunks (max fun)
+(defun diff--iterate-hunks (max fun &optional min)
   "Iterate over all hunks between point and MAX.
 Call FUN with two args (BEG and END) for each hunk."
   (save-excursion
+      (when min
+      (goto-char min))
     (catch 'malformed
       (let* ((beg (or (ignore-errors (diff-beginning-of-hunk))
                       (ignore-errors (diff-hunk-next) (point))
@@ -2298,6 +2301,13 @@ diff--iterate-hunks
                         (or (ignore-errors (diff-hunk-next) (point))
                             max)))))))))
 
+(defun diff-ignore-whitespace-all-hunks ()
+  "Re-diff all the hunks, ignoring whitespace-differences."
+  (interactive)
+  (diff--iterate-hunks (point-max) (lambda (_ _)
+                                     (diff-refresh-hunk t))
+                       (point-min)))
+
 (defun diff--font-lock-refined (max)
   "Apply hunk refinement from font-lock."
   (when (eq diff-refine 'font-lock)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58516; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Oct 2022 14:54:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 14 10:54:17 2022
Received: from localhost ([127.0.0.1]:38289 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ojM4m-00061P-TU
	for submit <at> debbugs.gnu.org; Fri, 14 Oct 2022 10:54:17 -0400
Received: from lists.gnu.org ([209.51.188.17]:60806)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gertopc@HIDDEN>) id 1ojIfA-0005aZ-NS
 for submit <at> debbugs.gnu.org; Fri, 14 Oct 2022 07:15:37 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:47162)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gertopc@HIDDEN>) id 1ojIf3-0000MY-8U
 for bug-gnu-emacs@HIDDEN; Fri, 14 Oct 2022 07:15:34 -0400
Received: from mail-4324.protonmail.ch ([185.70.43.24]:27071)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gertopc@HIDDEN>) id 1ojIf0-0007jK-76
 for bug-gnu-emacs@HIDDEN; Fri, 14 Oct 2022 07:15:28 -0400
Date: Fri, 14 Oct 2022 11:15:05 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=proton.me;
 s=protonmail; t=1665746117; x=1666005317;
 bh=CPiuWOxBn23F8S/uPo2i3tPBy+kSPK/elyfyapOsOBE=;
 h=Date:To:From:Subject:Message-ID:Feedback-ID:From:To:Cc:Date:
 Subject:Reply-To:Feedback-ID:Message-ID;
 b=cNkRutxSOHUly446L8pBE/RT0NTpjODBvWeU1yVNQvPYd6m8ZjSpnlO1tPFVrkial
 slbj1i5zlcbR12iyfdn9m9GI4EkDCiGHC8qyftmo8T6VPciAgsJGBJ//V7wqRbskHd
 5iENN57yQDrV1IBBfk0xjMRf/+/P084BHPerap5kN4RjCTS7D9JPbikICDaIpZvPRM
 osLbcM7qQFhIFvBCjuCEdNWPUmt6bM1AC/TKpwUkfcF7eoU/4B3gnIf9Q0GlBVybMw
 u6qou4dvkc2wcvo427FYtw1TDXL9xo1mNmMIsKj39tkSFc/hAGhxSybMiAU5/enW2R
 h7vVnMCYSKnhQ==
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
From: gert <gertopc@HIDDEN>
Subject: 28.1; add option/key to rerun  current diff without whitespace changes
Message-ID: <SINUhcSfiSS7hwBCbw88ire4WCbRMMXMuPmqcbpqh5jRnjMu3N1ue0p3w2T0WRreCHPTPcKpWeC-_D2lj4dULEXm_r-_jTw1edw_mB2y0Es=@proton.me>
Feedback-ID: 52320544:user:proton
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="b1_KUciyUXEkWOAVDIs00ys3OfAiDaN2A33RDD5YrIATKc"
Received-SPF: pass client-ip=185.70.43.24; envelope-from=gertopc@HIDDEN;
 helo=mail-4324.protonmail.ch
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, HTML_MESSAGE=0.001,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 14 Oct 2022 10:54:16 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is a multi-part message in MIME format.

--b1_KUciyUXEkWOAVDIs00ys3OfAiDaN2A33RDD5YrIATKc
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64

U29tZXRpbWVzLCBmb3IgZXhhbXBsZSB3aGVuIHlvdSB3b3JrIHRvZ2V0aGVyIHdpdGggb3RoZXJz
LCB0aGVyZSBhcmUgbWVhbmluZ2xlc3Mgd2hpdGVzcGFjZSBjaGFuZ2VzIGluIHRoZSBkaWZmLgoK
SW4gb3JkZXIgdG8gcmV2aWV3IHRoZXNlIGRpZmYgZWFzaWVyIGFkZCBhIGtleSB0byByZXJ1biB0
aGUgY3VycmVudCBkaWZmIHdpdGhvdXQgc2hvd2luZyB3aGl0ZXNwYWNlIGNoYW5nZXMuCgpUaGVy
ZSBpcwoKKCJcQy1jXEMtdyIgLiBkaWZmLWlnbm9yZS13aGl0ZXNwYWNlLWh1bmspCgp3aGljaCBp
cyB1c2VmdWwsIGJ1dCBpbmNvdmVuaWVudCB0byB1c2Ugd2hlbiB0aGVyZSBhcmUgbWFueSBodW5r
cyBpbiB0aGUgZGlmZi4KCkFkZCBhIGtleSB3aGljaCBkb2VzIHRoZSBzYW1lLCBidXQgZm9yIGFs
bCBodW5rcyAoZS5nLiBkaWZmLXRvZ2dsZS13aGl0ZXNwYWNlLWNoYW5nZXMpLCBzbyB5b3UgY2Fu
IGVhc2lseSBzd2l0Y2ggYSBkaWZmIGJ1ZmZlciB0byBvbmUgd2hpY2ggaWdub3JlcyBhbGwgd2hp
dGVzcGFjZSBjaGFuZ2VzLg==

--b1_KUciyUXEkWOAVDIs00ys3OfAiDaN2A33RDD5YrIATKc
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: base64

PGRpdiBzdHlsZT0iZm9udC1mYW1pbHk6IEFyaWFsOyBmb250LXNpemU6IDE0cHg7IGNvbG9yOiBy
Z2IoMCwgMCwgMCk7Ij5Tb21ldGltZXMsIGZvciBleGFtcGxlIHdoZW4geW91IHdvcmsgdG9nZXRo
ZXIgd2l0aCBvdGhlcnMsIHRoZXJlIGFyZSBtZWFuaW5nbGVzcyB3aGl0ZXNwYWNlIGNoYW5nZXMg
aW4gdGhlIGRpZmYuPC9kaXY+PGRpdiBzdHlsZT0iZm9udC1mYW1pbHk6IEFyaWFsOyBmb250LXNp
emU6IDE0cHg7IGNvbG9yOiByZ2IoMCwgMCwgMCk7Ij48YnI+PC9kaXY+PGRpdiBzdHlsZT0iZm9u
dC1mYW1pbHk6IEFyaWFsOyBmb250LXNpemU6IDE0cHg7IGNvbG9yOiByZ2IoMCwgMCwgMCk7Ij5J
biBvcmRlciB0byByZXZpZXcgdGhlc2UgZGlmZiBlYXNpZXIgYWRkIGEga2V5IHRvIHJlcnVuIHRo
ZSBjdXJyZW50IGRpZmYgd2l0aG91dCBzaG93aW5nIHdoaXRlc3BhY2UgY2hhbmdlcy48L2Rpdj48
ZGl2IHN0eWxlPSJmb250LWZhbWlseTogQXJpYWw7IGZvbnQtc2l6ZTogMTRweDsgY29sb3I6IHJn
YigwLCAwLCAwKTsiPjxicj48L2Rpdj48ZGl2IHN0eWxlPSJmb250LWZhbWlseTogQXJpYWw7IGZv
bnQtc2l6ZTogMTRweDsgY29sb3I6IHJnYigwLCAwLCAwKTsiPlRoZXJlIGlzPC9kaXY+PGRpdiBz
dHlsZT0iZm9udC1mYW1pbHk6IEFyaWFsOyBmb250LXNpemU6IDE0cHg7IGNvbG9yOiByZ2IoMCwg
MCwgMCk7Ij48YnI+PC9kaXY+PGRpdiBzdHlsZT0iZm9udC1mYW1pbHk6IEFyaWFsOyBmb250LXNp
emU6IDE0cHg7IGNvbG9yOiByZ2IoMCwgMCwgMCk7Ij4mbmJzcDsmbmJzcDsgPHNwYW4+KCJcQy1j
XEMtdyIgLiBkaWZmLWlnbm9yZS13aGl0ZXNwYWNlLWh1bmspPC9zcGFuPjxicj48L2Rpdj48ZGl2
IHN0eWxlPSJmb250LWZhbWlseTogQXJpYWw7IGZvbnQtc2l6ZTogMTRweDsgY29sb3I6IHJnYigw
LCAwLCAwKTsiPjxicj48L2Rpdj48ZGl2IHN0eWxlPSJmb250LWZhbWlseTogQXJpYWw7IGZvbnQt
c2l6ZTogMTRweDsgY29sb3I6IHJnYigwLCAwLCAwKTsiPndoaWNoIGlzIHVzZWZ1bCwgYnV0IGlu
Y292ZW5pZW50IHRvIHVzZSB3aGVuIHRoZXJlIGFyZSBtYW55IGh1bmtzIGluIHRoZSBkaWZmLjwv
ZGl2PjxkaXYgc3R5bGU9ImZvbnQtZmFtaWx5OiBBcmlhbDsgZm9udC1zaXplOiAxNHB4OyBjb2xv
cjogcmdiKDAsIDAsIDApOyI+PGJyPjwvZGl2PjxkaXYgc3R5bGU9ImZvbnQtZmFtaWx5OiBBcmlh
bDsgZm9udC1zaXplOiAxNHB4OyBjb2xvcjogcmdiKDAsIDAsIDApOyI+QWRkJm5ic3A7IGEga2V5
IHdoaWNoIGRvZXMgdGhlIHNhbWUsIGJ1dCBmb3IgYWxsIGh1bmtzIChlLmcuIGRpZmYtdG9nZ2xl
LXdoaXRlc3BhY2UtY2hhbmdlcyksIHNvIHlvdSBjYW4gZWFzaWx5IHN3aXRjaCBhIGRpZmYgYnVm
ZmVyIHRvIG9uZSB3aGljaCBpZ25vcmVzIGFsbCB3aGl0ZXNwYWNlIGNoYW5nZXMuPGJyPjwvZGl2
Pg==


--b1_KUciyUXEkWOAVDIs00ys3OfAiDaN2A33RDD5YrIATKc--





Acknowledgement sent to gert <gertopc@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#58516; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 12 Nov 2022 21:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.